Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_he10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_he10.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 SEIpictureDigest                    : 1
 
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_P_main10.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_he10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_he10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_he10.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 SEIpictureDigest                    : 1
 
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_lowdelay_main10.cfg	(revision 281)
@@ -101,21 +101,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_he10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_he10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_he10.cfg	(revision 281)
@@ -105,21 +105,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main.cfg	(revision 281)
@@ -105,21 +105,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 SEIpictureDigest                    : 1
 
Index: branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main10.cfg
===================================================================
--- branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main10.cfg	(revision 276)
+++ branches/SHM-2.1-multilayers-dev/cfg/encoder_randomaccess_main10.cfg	(revision 281)
@@ -105,21 +105,4 @@
 CUTransquantBypassFlagValue: 0 # Constant lossless-value signaling per CU, if TransquantBypassEnableFlag is 1.
 
-#============ Rate Control ======================
-RateControl0                  : 0           # Rate control: enable rate control for layer 0
-TargetBitrate0                : 1000000     # Rate control: target bitrate for layer 0, in bps
-KeepHierarchicalBit0          : 1           # Rate control: keep hierarchical bit allocation for layer 0 in rate control algorithm
-LCULevelRateControl0          : 1           # Rate control: 1: LCU level RC for layer 0; 0: picture level RC for layer 0
-RCLCUSeparateModel0           : 1           # Rate control: use LCU level separate R-lambda model for layer 0
-InitialQP0                    : 0           # Rate control: initial QP for layer 0
-RCForceIntraQP0               : 0           # Rate control: force intra QP to be equal to initial QP for layer 0
-
-RateControl1                  : 0           # Rate control: enable rate control for layer 1
-TargetBitrate1                : 1000000     # Rate control: target bitrate for layer 1, in bps
-KeepHierarchicalBit1          : 1           # Rate control: keep hierarchical bit allocation for layer 1 in rate control algorithm
-LCULevelRateControl1          : 1           # Rate control: 1: LCU level RC for layer 1; 0: picture level RC for layer 1
-RCLCUSeparateModel1           : 1           # Rate control: use LCU level separate R-lambda model for layer 1
-InitialQP1                    : 0           # Rate control: initial QP for layer 1
-RCForceIntraQP1               : 0           # Rate control: force intra QP to be equal to initial QP for layer 1
-
 ### DO NOT ADD ANYTHING BELOW THIS LINE ###
 ### DO NOT DELETE THE EMPTY LINE BELOW ###