Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-1.5x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BQTerrace-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 600         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-1.5x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/BasketballDrive-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-1.5x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Cactus-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 500         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-1.5x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Kimono-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-1.5x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/ParkScene-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 240         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,6 +18,4 @@
 IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 ScaledRefLayerBottomOffset1   : -4          # offset for spatial alignment of the base and enhancement layers
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/PeopleOnStreet-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-2x.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20
Index: branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg
===================================================================
--- branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 234)
+++ branches/SHM-2.1-dev/cfg/per-sequence-svc-avcbase/Traffic-SNR.cfg	(revision 284)
@@ -1,7 +1,5 @@
-NumLayers                     : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
 FramesToBeEncoded             : 150         # Number of frames to be coded
-AvcBase                       : 1           # AVC coded base layer as an input
 
 #======== File I/O ===============
@@ -20,5 +18,3 @@
 IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
 ConformanceMode1              : 1           # conformance mode
-NumDirectRefLayers1           : 1           # number of direct reference layers
-RefLayerIds1                  : 0           # reference layer id
 QP1                           : 20